Bug 1806196 - Click on Hosts -> Audits render json result
Summary: Click on Hosts -> Audits render json result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Audit Log
Version: 6.7.0
Hardware: All
OS: All
medium
medium vote
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-22 19:38 UTC by Ranjan Kumar
Modified: 2020-04-14 13:29 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1.14-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29230 0 Normal Closed Click on Hosts -> Audits render json result 2020-09-10 20:39:59 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:29:03 UTC

Description Ranjan Kumar 2020-02-22 19:38:06 UTC
Description of problem: Audits button in Host page renders JSON result. it should redirect to host audit page


Version-Release number of selected component (if applicable): 6.7


How reproducible: Always


Steps to Reproduce:
1. visit All Hosts -> click on any host
2. Click on Audits link on left side Host details section
3. Render json result

Actual results: Json result


Expected results: Should go to host audit page


Additional info:

Comment 5 Ondřej Pražák 2020-03-02 09:37:50 UTC
Created redmine issue https://projects.theforeman.org/issues/29230 from this bug

Comment 6 Bryan Kearney 2020-03-02 15:05:15 UTC
Upstream bug assigned to oprazak

Comment 7 Bryan Kearney 2020-03-02 15:05:16 UTC
Upstream bug assigned to oprazak

Comment 8 Bryan Kearney 2020-03-04 13:04:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29230 has been resolved.

Comment 10 Roman Plevka 2020-03-09 16:22:21 UTC
VERIFIED
on sat6.7.0 snap #15

- the Audits button now correctly leads to the audits page with an appropriate filter applied: "host = <host name>"

Comment 13 errata-xmlrpc 2020-04-14 13:28:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.